petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexMarkBoundaryFaces

Mark all faces on the boundary

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexMarkBoundaryFaces(DM dm, DMLabel label)

Not Collective Many br

### Input Parameter

dm -The original DM Many br

### Output Parameter

label -The DMLabel marking boundary faces with value 1 Many br

Many br

### See Also

DMLabelCreate(), DMCreateLabel()

Level:developer
Location:src/dm/impls/plex/plexsubmesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex77.c.html